Loading...
Searching...
No Matches
Dune::Functions::ContainerDescriptors::UniformArray< Child, n > Struct Template Reference

Descriptor for arrays with all children identical and the number of children a static size. More...

`#include <dune/functions/functionspacebases/containerdescriptors.hh>`

Inheritance diagram for Dune::Functions::ContainerDescriptors::UniformArray< Child, n >:

## Public Member Functions

template<class C = Child, std::enable_if_t< std::is_default_constructible_v< C >, int > = 0>
| UniformArray ()
| Default constructor. Is enable if the child-type is default constructible.
| UniformArray (Child child)
| Constructor that stores a single child only.
template<class Index>
const Child & | operator[] (const Index &) const
| Access the i'th child that is always the same, i.e., child_.

## Static Public Member Functions

static constexpr std::size_t | size ()
| The static size information, i.e., number of children.

## Detailed Description

template<class Child, std::size_t n>
struct Dune::Functions::ContainerDescriptors::UniformArray< Child, n >

Descriptor for arrays with all children identical and the number of children a static size.

## Constructor & Destructor Documentation

## UniformArray() [1/2]

template<class Child, std::size_t n>
template<class C = Child, std::enable_if_t< std::is_default_constructible_v< C >, int > = 0>

Dune::Functions::ContainerDescriptors::UniformArray< Child, n >::UniformArray | ( |  | ) |

inline

Default constructor. Is enable if the child-type is default constructible.

## UniformArray() [2/2]

template<class Child, std::size_t n>

Dune::Functions::ContainerDescriptors::UniformArray< Child, n >::UniformArray | ( | Child | child | ) |

inline explicit

Constructor that stores a single child only.

## Member Function Documentation

## operator[]()

template<class Child, std::size_t n>
template<class Index>

const Child & Dune::Functions::ContainerDescriptors::UniformArray< Child, n >::operator[] | ( | const Index & |  | ) | const

inline

Access the i'th child that is always the same, i.e., child_.

## size()

template<class Child, std::size_t n>

constexpr std::size_t Dune::Functions::ContainerDescriptors::UniformArray< Child, n >::size | ( |  | ) |

inline static constexpr

The static size information, i.e., number of children.

The documentation for this struct was generated from the following file:

- containerdescriptors.hh